/*
 * @(#)msd_dir.h 1.4 87/11/06	Public Domain.
 *
 *  A public domain implementation of BSD directory routines for
 *  MS-DOS.  Written by Michael Rendell ({uunet,utai}michael@garfield),
 *  August 1897
 */

#define	rewinddir(dirp)	seekdir(dirp, 0L)

#define	MAXNAMLEN	12

#ifdef	__TURBOC__
  typedef unsigned short ino_t;       /* i-node number (not used on DOS) */
#endif

struct direct {
	ino_t	d_ino;			/* a bit of a farce */
	int	d_reclen;		/* more farce */
	int	d_namlen;		/* length of d_name */
	char	d_name[MAXNAMLEN + 1];		/* garentee null termination */
};

struct _dircontents {
	char	*_d_entry;
	struct _dircontents	*_d_next;
};

typedef struct _dirdesc {
	int		dd_id;	/* uniquely identify each open directory */
	long		dd_loc;	/* where we are in directory entry is this */
	struct _dircontents	*dd_contents;	/* pointer to contents of dir */
	struct _dircontents	*dd_cp;	/* pointer to current position */
} DIR;
#ifdef	__TURBOC__
  extern	DIR				*opendir (char *name);
  extern	struct direct	*readdir (DIR *dirp);
  extern	void			seekdir (DIR *dirp, long	off);
  extern	long			telldir (DIR *dirp);
  extern	void			closedir (DIR *dirp);
  extern	int 			norm_path (char *fullpath, char *oldpath);
#else
  extern	DIR		*opendir();
  extern	struct direct	*readdir();
  extern	void		seekdir();
  extern	long		telldir();
  extern	void		closedir();
#endif

char *get_working_directory (char *buf, int drive);

